# -*- coding: utf-8 -*-
%define version 0.11
%define release alt1

Name: picard-qt
Summary: MusicBrainz tagger (Qt GUI)
Summary(ru_RU.UTF-8): Тэггер MusicBrainz (Qt GUI)
Version: %version
Release: %release
Source: picard-%version.tar
License: GPL
Group: Sound
Url: http://musicbrainz.org/doc/PicardQt
Packager: Mikhail Yakshin <greycat@altlinux.org>

Conflicts: picard

# Automatically added by buildreq on Wed Sep 03 2008 (-bi)
BuildRequires: gcc-c++ libavcodec-devel libavformat-devel libavutil-devel libexpat-devel libofa-devel python-devel python-modules-encodings

%description
The project code-named Picard is the next generation MusicBrainz tagging
application. This new tagging concept is Release oriented, as opposed to
track oriented like the ClassicTagger was. Picard is written in Python,
which is a cross-platform language - this allows the same code to run
both on Windows and on Linux.

PicardQt is a new version of PicardTagger, written using [WWW] Qt as the
GUI toolkit. It also includes implementations of a few new ideas, such
as IntuitivePicardInterface or TaggerScript.

%prep
%setup -n picard-%version

%build
rm -Rf installer

env CFLAGS="$RPM_OPT_FLAGS -fPIC"
%add_optflags -D__STDC_CONSTANT_MACROS

python setup.py config

%install
python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES

# Install all python files and locales
#mkdir -p %buildroot%python_sitelibdir/picard %buildroot%_bindir %buildroot%_datadir
#cp -R browser lib ui tagger.py %buildroot%python_sitelibdir/picard

# Fix icons
mkdir -p %buildroot{%_miconsdir,%_niconsdir,%_desktopdir}
mv picard-16.png %buildroot%_miconsdir/%name.png
mv picard-32.png %buildroot%_niconsdir/%name.png
mv picard.desktop %buildroot%_desktopdir/%name.desktop
subst 's,^Icon=picard-32.png$,Icon=%name.png,' %buildroot%_desktopdir/%name.desktop

# Fix INSTALLED_FILES to reflect our changes
subst 's,%_iconsdir/picard-16.png,%_miconsdir/%name.png,' INSTALLED_FILES
subst 's,%_iconsdir/picard-32.png,%_niconsdir/%name.png,' INSTALLED_FILES
subst 's,%_desktopdir/picard.desktop,%_desktopdir/%name.desktop,' INSTALLED_FILES

# LOCALES ARE BUGGY: %files -f LOCALE_FILES
#%files
#attr(0755,root,root) %_bindir/*
#%python_sitelibdir/picard

%files -f INSTALLED_FILES
%doc AUTHORS.txt NEWS.txt INSTALL.txt
%_miconsdir/%name.png
%_niconsdir/%name.png
%_desktopdir/%name.desktop

%changelog
* Tue Dec 09 2008 Vladimir V. Kamarzin <vvk@altlinux.org> 0.11-alt1
- 0.11
- Remove obsolete %%clean_menus/%%update_menus calls

* Sun Aug 31 2008 Vladimir V Kamarzin <vvk@altlinux.ru> 0.10-alt1
- 0.10
- Enable locales installation

* Sun Mar 18 2007 Mikhail Yakshin <greycat@altlinux.org> 0.9.0alpha4-alt2
- Added acoustic fingerprinting support (libofa, ffmpeg)
- Added CD DiscID support (libdiscid)

* Sun Mar 18 2007 Mikhail Yakshin <greycat@altlinux.org> 0.9.0alpha4-alt1
- Initial build for ALT Linux
